<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/plantilla-principal.xhtml"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:define name="contenido">
        <f:metadata>
            <f:event type="preRenderView" listener="#{sessionManBean.modulosFuncionalidad(1)}"></f:event>
        </f:metadata>
        <h:form id="formulario-filtro" class="ui menu">
            <div class="borderless header item">
                <div style="font-size: 22px">
                    <i class="user icon" />
                    Clientes
                </div>
            </div>
            <div class="right menu">
                <h:commandLink rendered="#{sessionManBean.permisosAsignados(43)}" id="cml-actualizar-clActivos" action="#{clienteManBean.clientesTotalActivos()}" class="item" >
                    <i class="refresh icon" />
                    Activos  
                    <div class="ui teal label">
                    #{clienteManBean.cantidadTotalSuscriptosActivos}
                    </div>
                    <f:ajax execute="@form" render="@form" onevent="function(data){ajaxActualizarResumen(data)}"></f:ajax>
                </h:commandLink>
                <h:commandLink style="display: none" id="cl-buscar" action="#{clienteManBean.buscarClientes()}" actionListener="#{clienteManBean.buscaClientePOrci()}">
                    <f:ajax execute="@form" render="form-tabla" onevent="function(data){ajaxBusquedaCliente(data)}" />
                </h:commandLink>
                <div class="ui category search item">
                    <div class="ui transparent icon input">
                        <input id="txtBuscar"  placeholder="Buscar" type="text" jsf:value="#{clienteManBean.txtBusqueda}"></input>&emsp;
                        <i id="icono-busqueda" class="search icon"></i>
                    </div>
                </div>
                <div class="item">
                    <a style="margin-right: 5px;" href="detallecliente.xhtml" id="boton-nuevo" class="ui green large icon button" data-tooltip="Nuevo cliente" data-inverted="" data-position="bottom right">
                        <i class="add icon" />
                    </a>
                    <div style="display: none;" jsf:rendered="#{sessionManBean.permisosAsignados(3)}" id="div-btn-elim" class="ui red large icon button" data-tooltip="Eliminar clientes seleccionados" data-inverted="" data-position="bottom right">
                        <i class="trash icon"/>
                    </div>
                </div>
            </div>

        </h:form>
        <div class="ui grid">
            <div class="sixteen wide column">
                <div id="scroll" class="scroll">
                    <h:form id="form-tabla">
                        <table jsf:id="elementos-tabla" class="ui stackable selectable table" width="695px">
                            <thead>
                                <tr><th class="collapsing">
                                        <div  class="ui fitted checkbox" onclick="seleccionarTodo()">
                                            <input type="checkbox" id="chk-selec-todo"/>
                                            <label/>
                                        </div>
                                    </th>
                                    <th class="collapsing right aligned">Cód.</th>
                                    <th style="display: none">Nombre</th>
                                    <th style="display: none">Apellidos</th>
                                    <th>Razon Social</th>
                                    <th style="display: none">Categoria</th>
                                    <th style="display: none">Telefono</th>
                                    <th style="display: none">Telefono2</th>
                                    <th class="right aligned">RUC</th>
                                    <th>Barrio Princ.</th>
                                    <th>Dirección Princ.</th>
                                    <th style="display: none">C.I. Numero</th>
                                    <th class="collapsing right aligned">Susc.</th>
                                </tr>
                            </thead>
                            <tbody jsf:id="tbody-clientes">
                                <ui:repeat value="#{clienteManBean.listacliente}" var="cliente" varStatus="clienteBarStatus">
                                    <tr style="cursor: pointer" id="cl#{cliente.idcliente}">
                                        <td onclick="seleccionarFilaCliente(#{cliente.idcliente})"> 
                                            <div onclick="seleccionarCheck('#{cliente.idcliente}')" class="ui fitted checkbox">
                                                <input id="chk-cli-#{cliente.idcliente}" type="checkbox" />
                                                <label></label>
                                            </div>
                                        </td>
                                        <td class="right aligned" id="col-id-cliente-#{cliente.idcliente}" onclick="verDetalleCliente(#{cliente.idcliente})">#{cliente.idcliente}</td>
                                        <td id="col-nombre-cliente-#{cliente.idcliente}" style="display: none" onclick="seleccionarFilaCliente('#{cliente.idcliente}')">#{cliente.nombres}</td>
                                        <td id="col-apellido-cliente-#{cliente.idcliente}" style="display: none" onclick="seleccionarFilaCliente('#{cliente.idcliente}')">#{cliente.apellidos}</td>
                                        <td id="col-rz-cliente-#{cliente.idcliente}" onclick="verDetalleCliente(#{cliente.idcliente})">#{cliente.razonSocial}</td>
                                        <td style="display: none" id="col-categoria-cliente-#{cliente.idcliente}" onclick="seleccionarFilaCliente('#{cliente.idcliente}')"><input id="col-idcategoria-#{cliente.idcliente}" type="hidden" value="#{cliente.categoria.idcategoria}"/>#{cliente.categoria.nombre}</td>
                                        <td style="display: none" id="col-tlf-cliente-#{cliente.idcliente}" onclick="seleccionarFilaCliente('#{cliente.idcliente}')">#{cliente.telefono1}</td>
                                        <td id="col-tlf2-cliente-#{cliente.idcliente}" style="display: none" onclick="seleccionarFilaCliente('#{cliente.idcliente}')">#{cliente.telefono2}</td>
                                        <td class="right aligned" id="col-ruc-cliente-#{cliente.idcliente}" onclick="verDetalleCliente(#{cliente.idcliente})">
                                            <h:outputText value="#{cliente.ci}">
                                                <f:convertNumber pattern="#,###,###,###" />
                                            </h:outputText>
                                            #{not empty cliente.dvRuc?'-':''} #{cliente.dvRuc}
                                        </td>
                                        <td id="col-barrio-cliente-#{cliente.idcliente}" onclick="verDetalleCliente(#{cliente.idcliente})"><input id="col-idbarrio-#{cliente.idcliente}" type="hidden" value="#{cliente.barrio.idbarrio}"/>#{cliente.barrio.nombre}</td>
                                        <td id="col-direcc-cliente-#{cliente.idcliente}" onclick="verDetalleCliente(#{cliente.idcliente})">#{cliente.direccion}</td>
                                        <td id="col-ci-cliente-#{cliente.idcliente}" style="display: none" onclick="seleccionarFilaCliente('#{cliente.idcliente}')">#{cliente.ci}</td>
                                        <td class="cololapsing right aligned" onclick="verDetalleCliente(#{cliente.idcliente})" data-tooltip="Activas: #{clienteManBean.getCantSuscripcionesActivas(cliente.idcliente)} |
                                            Desconectadas: #{cliente.suscripcionList.size()-clienteManBean.getCantSuscripcionesActivas(cliente.idcliente)} |
                                            Total: #{cliente.suscripcionList.size()}" data-inverted="" data-position="top right">
                                            #{clienteManBean.getCantSuscripcionesActivas(cliente.idcliente)}/#{cliente.suscripcionList.size()}
                                        </td>
                                    </tr>
                                </ui:repeat>
                                <tr jsf:rendered="#{empty clienteManBean.listacliente}">
                                    <td class="center aligned disabled" colspan="7">(Ningún cliente)</td>
                                </tr>
                            </tbody>
                            <tfoot class="full-width" jsf:id="pie-tabla">
                                <tr>
                                    <th colspan="7">
                                        <div id="cmb-reg-porpag" class="ui compact selection dropdown">
                                            <input name="in-reg" type="hidden" jsf:value="#{clienteManBean.paginador.cantidadRegistrosPorPagina}"/>
                                            <i class="dropdown icon"></i>
                                            <div class="default text">Registros</div>
                                            <div class="menu">
                                                <div class="item" data-value="10">10 Ítems</div>
                                                <div class="item" data-value="20">20 Ítems</div>
                                                <div class="item" data-value="50">50 Ítems</div>
                                                <div class="item" data-value="100">100 Ítems</div>
                                                <div class="item" data-value="150">150 Ítems</div>
                                                <div class="item" data-value="200">200 Ítems</div>
                                            </div>
                                        </div>
                                        <span jsf:id="datos-paginacion">
                                            del #{clienteManBean.paginador.posicionInicio} al #{clienteManBean.paginador.posicionFin} (Total: #{clienteManBean.paginador.totalRegistros})
                                        </span>

                                        <h:commandLink id="cml-camb-cant-items">
                                            <f:ajax execute="form-tabla:in-reg" render="form-tabla:botones-paginacion form-tabla:tbody-clientes form-tabla:datos-paginacion" />
                                        </h:commandLink>
                                        <div jsf:id="botones-paginacion" class="ui right floated pagination menu">
                                            <h:commandLink disabled="#{!clienteManBean.paginador.desplazableIzquierda}" class="#{!clienteManBean.paginador.desplazableIzquierda?'disabled icon item':'icon item'}" action="#{clienteManBean.paginador.desplazarIzquierdaPaginador()}">
                                                <i class="left chevron icon"></i>
                                                <f:ajax render="form-tabla:botones-paginacion form-tabla:datos-paginacion" execute="@this" />
                                            </h:commandLink>
                                            <ui:repeat value="#{clienteManBean.paginador.bloqueNumeracionPaginas}" var="pag" varStatus="pagStatus">
                                                <h:commandLink class="#{clienteManBean.paginador.paginaActual==pag?'active item':'item'}" action="#{clienteManBean.paginador.setPaginaActual(pag)}">
                                                    #{pag}
                                                    <f:ajax execute="@this" render="form-tabla:botones-paginacion form-tabla:tbody-clientes form-tabla:datos-paginacion" />
                                                </h:commandLink>
                                            </ui:repeat>
                                            <h:commandLink disabled="#{!clienteManBean.paginador.desplazableDerecha}" class="#{!clienteManBean.paginador.desplazableDerecha?'disabled icon item':'icon item'}" action="#{clienteManBean.paginador.desplazarDerechaPaginador()}">
                                                <i class="right chevron icon"></i>
                                                <f:ajax render="form-tabla:botones-paginacion form-tabla:datos-paginacion" execute="@this" />
                                            </h:commandLink>
                                        </div>
                                    </th>
                                </tr>
                            </tfoot>
                            <!--<div id="dim-tabla" class="ui inverted dimmer"/>-->

                        </table>
                    </h:form>
                </div>
            </div>
            <div style="display: none" class="six wide column">
                <h:form id="form-datos" class="ui form">
                    <div class="ui divider hidden"></div>
                    <div class="ui divider hidden"></div>
                    <div class="ui form">
                        <div class="field">
                            <label>ID</label>
                            <input disabled="true" jsf:id="idcliente" name="idcliente" jsf:value="#{clienteManBean.clienteVar.idcliente}" placeholder="ID" type="number" readonly="true"></input>
                            <h:inputHidden id="idcl-hidden" value="#{clienteManBean.clienteVar.idcliente}" />
                        </div>
                        <div class="required fields">
                            <div id="apellidoCl" class="eight wide field">
                                <label>Apellidos</label>
                                <input jsf:id="apellido" name="apellido" jsf:value="#{clienteManBean.clienteVar.apellidos}" placeholder="Apellidos" type="text" required="true" autofocus="true"></input>
                            </div>
                            <div id="nombreCl" class="eight wide field">
                                <label>Nombres</label>
                                <input jsf:id="nombrecliente" name="nombrecliente" jsf:value="#{clienteManBean.clienteVar.nombres}" placeholder="Nombre" type="text" required="true"></input>
                            </div>
                        </div>
                        <div id="rzCl" class="required field">
                            <label>Razon Social</label>
                            <input jsf:id="razonsocial" name="razonsocial" jsf:value="#{clienteManBean.clienteVar.razonSocial}" placeholder="Razon Social" type="text" required="true"></input>
                        </div>
                        <div id="catCl" class="required field">
                            <label>Categoria</label>
                            <div id="categoriacliente" class="ui search selection dropdown">
                                <input jsf:value="#{clienteManBean.idClienteTmp}" type="hidden"/>
                                <i class="dropdown icon" />
                                <div class="default text">Categoria</div>
                                <div class="menu">
                                    <ui:repeat  value="#{categoriaManBean.categoria}" var="categoria" varStatus="categoriaStatus">
                                        <div class="item" data-value="#{categoria.idcategoria}">#{categoria.nombre}</div>
                                    </ui:repeat>
                                </div>
                            </div>
                        </div>
                        <div class="fields">
                            <div id="tel1Cl" class="eight wide field">
                                <label>Telefono</label>
                                <input jsf:id="telefono" name="telefono" jsf:value="#{clienteManBean.clienteVar.telefono1}" placeholder="Número de telefono principal" type="text"></input>
                            </div>
                            <div class="eight wide field">
                                <label>Telefono2</label>
                                <input jsf:id="telefono2" name="telefono2" jsf:value="#{clienteManBean.clienteVar.telefono2}" placeholder="Número de telefono" type="text"></input>
                            </div>
                        </div>
                        <div class="fields">
                            <div id="ciCl" class="twelve wide required field">
                                <label>C.I. Numero</label>
                                <input jsf:id="cinumero" name="cinumero" jsf:value="#{clienteManBean.clienteVar.ci}" placeholder="C.I Nnúmero" type="number" required="true"></input>
                            </div>
                            <div class="four wide field">
                                <label>Ruc</label>
                                <input jsf:id="ruc" name="ruc" jsf:value="#{clienteManBean.clienteVar.dvRuc}" placeholder="número" type="number"/>
                            </div>
                        </div>
                        <!--<div class="fields">-->
                        <div class="required field">
                            <label>Barrio</label>
                            <div id="barriocliente" class="ui search selection dropdown">
                                <input jsf:value="#{clienteManBean.idClienteBTmp}" type="hidden"/>
                                <i class="dropdown icon" />
                                <div class="default text">Barrio</div>
                                <div class="menu">
                                    <ui:repeat  value="#{barriosManBean.lstBarrios}" var="barrios" varStatus="barrioStatus">
                                        <div class="item" data-value="#{barrios.idbarrio}">#{barrios.nombre}</div>
                                    </ui:repeat>
                                </div>
                            </div> 
                        </div>
                        <div class="field">
                            <label>Dirección</label>
                            <input jsf:id="direccion" name="direccion" jsf:value="#{clienteManBean.clienteVar.direccion}" placeholder="Dirección" type="text" onkeypress="if (event.keyCode === 13) {
                                        document.getElementById('form-datos:btn-agre').click();
                                    }"></input>
                        </div>
                        <div jsf:rendered="#{sessionManBean.permisosAsignados(42)}" class="field">
                            <div id="checkSuscripcion" class="ui checkbox">
                                <input id="validarCheck" type="checkbox" name="example" jsf:value="#{clienteManBean.isAgregarSuscripcion}"/>
                                <label>Registrar Suscripcion</label>
                            </div>
                        </div>
                        <div id="suscripcionForm" style="display: none">
                            <div style="display: none" class="field">
                                <label>Servicio</label>
                                <div id="cmbServ" class="ui selection dropdown">
                                    <input jsf:value="#{clienteManBean.idServicio}" type="hidden" />
                                    <i class="dropdown icon" />
                                    <div class="default text">Servicio</div>
                                    <div class="menu">
                                        <ui:repeat value="#{suscripcionManBean.lstServiciosSuscribibles}" var="serv" varStatus="servStatus">
                                            <div class="item" data-value="#{serv.idservicio}">#{serv.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>
                            <div class="two fields">
                                <div class="field">
                                    <label>Monto Cuota</label>
                                    <div class="ui right labeled input">
                                        <input id="montoCuota" jsf:value="#{clienteManBean.montoCuota}" placeholder="Monto" type="number" autofocus="true"/>
                                        <div class="ui label">gs.</div>
                                    </div>
                                </div>
                                <div class="field">
                                    <label>Monto Cuotas Inicial</label>
                                    <input id="montoCuotaInicial" jsf:value="#{clienteManBean.cuotaVar.montoCuota}" placeholder="Monto Inicial" type="number"/>
                                </div>
                            </div>
                            <div class="field" id="field-primerven">
                                <label>Primer vencimiento</label>
                                <div class="ui calendar" id="cal-primer-vencimiento">
                                    <div class="ui input left icon">
                                        <i class="calendar icon"></i>
                                        <input type="text" placeholder="Fecha" jsf:value="#{clienteManBean.fechaPrimerVencimiento}"/>
                                    </div>
                                </div>
                            </div>
                            <div class="field" style="display: none">
                                <label>Cantidad de TVs</label>
                                <input id="cantTv" jsf:value="#{clienteManBean.cantidadTVs}" type="number" min="1" max="20" placeholder="Cantidad de TVs" />
                            </div>

                            <div class="field">
                                <label>Número Medidor</label>
                                <input id="nroMedidor" jsf:value="#{clienteManBean.numeroMedidor}" type="text" placeholder="Número de Medidor" />
                            </div>
                            <div class="two fields">
                                <div class="field">
                                    <label>Tipo de Vivienda</label>
                                    <div id="tipoViv" class="ui fluid selection dropdown">
                                        <input jsf:value="#{clienteManBean.idTipoVivienda}" type="hidden" />
                                        <i class="dropdown icon" />
                                        <div class="default text">Tipo de Vivienda</div>
                                        <div class="menu">
                                            <ui:repeat value="#{tipoViviendaManBean.tiposVivienda}" var="tipovi" varStatus="tipoviStatus">
                                                <div class="item" data-value="#{tipovi.idtipoVivienda}">#{tipovi.nombre}</div>
                                            </ui:repeat>
                                        </div>
                                    </div>
                                </div>
                                <div class="field">
                                    <label>Tipo de Suscripción</label>
                                    <div id="tipoViv" class="ui fluid selection dropdown">
                                        <input jsf:value="#{clienteManBean.idTipoSuscripcion}" type="hidden" />
                                        <i class="dropdown icon" />
                                        <div class="default text">Tipo de Suscripcion</div>
                                        <div class="menu">
                                            <ui:repeat value="#{tipoSuscripcionManBean.lstTipoSuscripcion}" var="tiposus" varStatus="tiposusStatus">
                                                <div class="item" data-value="#{tiposus.idtipoSuscripcion}">#{tiposus.nombre}</div>
                                            </ui:repeat>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="field">
                                <label>Cobrador</label>
                                <div id="cmbCobrador" class="ui search fluid selection dropdown" onkeypress="if (event.keyCode === 13) {
                                            document.getElementById('form-datos:btn-agre').click();
                                        }">
                                    <input jsf:value="#{clienteManBean.idCobrador}" type="hidden" />
                                    <i class="dropdown icon" />
                                    <div class="default text">Cobrador</div>
                                    <div class="menu">
                                        <ui:repeat value="#{funcionario.lstFuncionarios}" var="funcio" varStatus="funcioStatus">
                                            <div class="item" data-value="#{funcio.idfuncionario}">#{funcio.nombres} #{funcio.apellidos}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>
                            <div style="display: none" class="field">
                                <label>Tipo de Suscripción</label>
                                <div id="cmb-tiposusc" class="ui selection dropdown">
                                    <input id="suscripcionChk" type="hidden" name="in-idtiposusc" jsf:value="#{clienteManBean.idTipoSuscripcion}" />
                                    <i class="dropdown icon"></i>
                                    <div class="default text">Tipo de suscripción</div>
                                    <div class="menu">
                                        <ui:repeat value="#{suscripcionManBean.lstTipoSuscripcion}" var="ts" varStatus="tsStatus">
                                            <div class="item" data-value="#{ts.idtipoSuscripcion}">#{ts.nombre}</div>
                                        </ui:repeat>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="msg-formulario" class="ui info hidden message">
                        <i class="close icon" />
                        <div class="header">
                            Info
                        </div>
                        <h:outputText id="text-formulario" value="#{clienteManBean.msg}"/>
                    </div>
                    <p/>
                    <p/>
                    <div class="actions">
                        <h:commandLink rendered="#{sessionManBean.permisosAsignados(2)}"  id="btn-modif" class="ui teal button" onclick="validarCampos()" action="#{clienteManBean.editarCliente()}">
                            <i class="save icon" />
                            Guardar
                            <f:ajax execute="@form" onevent="function (data) {
                                    if (data.status == 'success') {
                                    if ($('#msg-formulario').css('display') == 'none') {
                                    $('#msg-formulario').transition('fade');
                                    }
                                    }
                                    }" 
                                    render="text-formulario"/>
                        </h:commandLink>
                        <h:commandLink rendered="#{sessionManBean.permisosAsignados(1)}" id="btn-agre" class="ui primary button" onclick="validarCampos()" action="#{clienteManBean.registrarCliente()}">
                            <i class="add circle icon" />
                            Agregar
                            <f:ajax execute="@form" onevent="function (data) {
                                    if (data.status == 'success') {
                                    if ($('#msg-formulario').css('display') == 'none') {
                                    $('#msg-formulario').transition('fade');
                                    }
                                    }
                                    }" 
                                    render="text-formulario"/>
                        </h:commandLink>
                    </div>
                </h:form>

                <h:form rendered="#{sessionManBean.permisosAsignados(3)}" id="dlg-conf-elim" class="ui basic modal">
                    <input name="selbar" id="selbar" type="hidden" jsf:value="#{clienteManBean.seleccionarClienteIDJSON}"/>
                    <div class="ui icon header">
                        <i class="trash icon"></i>
                        Eliminar cliente
                    </div>
                    <div class="centered content">
                        <p>¿Desea eliminar los elementos seleccionados?</p>
                    </div>
                    <div class="actions">
                        <h:commandLink rendered="#{sessionManBean.permisosAsignados(3)}" action="#{clienteManBean.eliminarCliente()}" class="ui green ok inverted button">
                            <i class="checkmark icon"></i>
                            Sí
                            <f:ajax execute="@form" onevent="generarDatos()" render="form-tabla"/>
                        </h:commandLink>
                        <div class="ui red basic cancel inverted button">
                            <i class="remove icon"></i>
                            No
                        </div>
                    </div>
                </h:form>
            </div>
        </div>
        <script>
            var formatocalendar = {
                days: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
                months: ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto', 'septiembre', 'octubre', 'noviembre', 'diciembre'],
                monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
                today: 'Hoy',
                now: 'Ahora',
                am: 'AM',
                pm: 'PM'
            };
            $(document).ready(function () {
                $('#cmb-reg-porpag').dropdown({
                    onChange: function () {
                        console.log("change cantidad items");
                        $('#form-tabla\\:cml-camb-cant-items').click();
                    }
                });
                $('.menu .item').tab();
                $('#form-datos\\:apellido').keyup(function () {
                    var apellidos = $(this).val();
                    var nombres = $('#form-datos\\:nombrecliente').val();
                    var rz = apellidos + " " + nombres;
                    $('#form-datos\\:razonsocial').val(rz.trim());
                });
                $('#form-datos\\:nombrecliente').keyup(function () {
                    var nombres = $(this).val();
                    var apellidos = $('#form-datos\\:apellido').val();
                    var rz = apellidos + " " + nombres;
                    $('#form-datos\\:razonsocial').val(rz.trim());
                });
                $('#desde').calendar({
                    type: 'date',
                    text: formatocalendar,
                    endCalendar: $('#hasta')
                });
                $('#hasta').calendar({
                    type: 'date',
                    text: formatocalendar,
                    startCalendar: $('#desde')
                });

                $('#cal-primer-vencimiento').calendar({
                    type: 'date',
                    text: formatocalendar,
                    minDate: new Date()
                });
                $('#formulario-filtro\\:cl-buscar').click();
            });

            function verDetalleCliente(idc) {
                var nuevaUrl = window.location.origin + "#{navegacionManBean.rootPath}/faces/cliente/detallecliente.xhtml?idc=" + idc;
                window.location.href = nuevaUrl;
            }


            $('#form-datos\\:btn-modif').hide();
            $("#boton-nuevo").click(function () {
                $('#form-datos\\:btn-agre').show();
                $('#form-datos\\:btn-modif').hide();
                $('#form-datos\\:nombrecliente').focus();
                limpiarFormulario();
                removerErrorCampos();
            });

            $('#form-datos\\:btn-agre').click(function () {
                $('#form-datos\\:nombrecliente').focus();
                limpiarFormulario();
                $('#validarCheck').prop('checked', false);
                $('#suscripcionForm').hide();
            });

            $('#form-datos\\:btn-modif').click(function () {
                $('#form-datos\\:nombrecliente').focus();
                $('#form-datos\\:btn-modif').hide();
                $('#form-datos\\:btn-agre').show();
                $('#div-btn-elim').hide();
                limpiarFormulario();
            });

            $('#div-btn-elim').click(function () {
                $('#dlg-conf-elim').modal('show');
            });

            $('.message .close').on('click', function () {
                $(this).closest('.message').transition('fade');
            });

            function comprobarSeleccionTodo() {
                var seleccionados = $('tbody :checkbox:checked').length;
                var cantfila = $("tbody tr").length;
                if (seleccionados === 0) {
                    limpiarFormulario();
                    $("#chk-selec-todo").prop("checked", false);
                } else {
                    if (seleccionados === cantfila) {
                        $("#chk-selec-todo").prop("checked", true);
                    } else {
                        $("#chk-selec-todo").prop("checked", false);
                    }
                }
            }
            function ocultarBtnEliminarAndModifcar() {
                var seleccionado = $("tbody :checkbox:checked").length;
                if (seleccionado > 0) {
                    $("#div-btn-elim").show();
                    if (seleccionado === 1) {
                        $('#form-datos\\:btn-modif').show();
                        $('#form-datos\\:btn-agre').hide();
                    } else {
                        limpiarFormulario();
                        $('#form-datos\\:btn-modif').hide();
                        $('#form-datos\\:btn-agre').show();
                    }
                } else {
                    $('#form-datos\\:btn-modif').hide();
                    $("#div-btn-elim").hide();
                    $('#form-datos\\:btn-agre').show();
                }
            }

            function seleccionarTodo() {
                if ($("#chk-selec-todo").prop("checked")) {
                    $("tbody tr").addClass("active");
                    $("tbody :checkbox").prop("checked", true);
                    $('#form-datos\\:btn-modif').hide();
                } else {
                    $("tbody tr").removeClass("active");
                    $("tbody :checkbox").prop("checked", false);
                    limpiarFormulario();
                }
                ocultarBtnEliminarAndModifcar();
            }

            function seleccionarFilaCliente(idcliente) {
                var idfila = '#cl' + idcliente;
                var idchk = '#chk-cli-' + idcliente;
                if ($(idfila).hasClass('active')) {
                    $(idfila).removeClass('active');
                    $(idchk).prop('checked', false);
                    $('#checkSuscripcion').show();
                    limpiarFormulario();
                } else {
                    $('#form-datos\\:nombrecliente').focus();
                    $(idfila).addClass('active');
                    $(idchk).prop('checked', true);
                    $('#suscripcionForm').hide();
                    $('#checkSuscripcion').hide();
                }
                ocultarBtnEliminarAndModifcar();
                comprobarSeleccionTodo();
                modificarCliente(idcliente);
                removerErrorCampos();
            }

//            function validarSuscripcion (){
//                if($('#form-datos\\:validarCheck').prop("checked", true)){
//                    $('#suscripcionForm').show();
//                }else if($('#form-datos\\:validarCheck').prop("checked", false)){
//                    $('#suscripcionForm').hide();
//                }
//            }

            $("#validarCheck").change(function () {
                if ($(this).is(":checked")) {
                    $('#suscripcionForm').show();
                } else {
                    $('#suscripcionForm').hide();
                    $('#form-datos\\:nombrecliente').focus();
                }
            });

            function seleccionarCheck(idcliente) {
                var idchk = "#chk-cli-" + idcliente;
                var idfila = "cat" + idcliente;
                if ($(idchk).prop("checked")) {
                    $(idfila).removeClass("active");
                    limpiarFormulario();
                } else {
                    $(idfila).addClass("active");
                    $('#form-datos\\:nombrecliente').focus();
                }
                ocultarBtnEliminarAndModifcar();
                comprobarSeleccionTodo();
                modificarCliente(idcliente);
                removerErrorCampos();
            }
            function seleccionBusqueda() {
                if ($('#check').prop('checked')) {
                    alert("activo");
                    $('#txtBuscar').hide();
                    $('#txtBuscarPorInteger').show();
                } else {
                    alert("inactivo");
                    $('#txtBuscar').show();
                    $('#txtBuscarPorInteger').hide();
                }
            }

            function seleccionarTodo() {
                if ($("#chk-selec-todo").prop("checked")) {
                    $("tbody tr").addClass("active");
                    $("tbody :checkbox").prop("checked", true);
                    $('#form-datos\\:btn-modif').hide();
                } else {
                    $("tbody tr").removeClass("active");
                    $("tbody :checkbox").prop("checked", false);
                }
                ocultarBtnEliminarAndModifcar();
            }

            function modificarCliente(idcliente) {
                $('#form-datos\\:idcliente').val($('#col-id-cliente-' + idcliente).html());
                $('#form-datos\\:idcl-hidden').val($('#col-id-cliente-' + idcliente).html());
                $('#form-datos\\:nombrecliente').val($('#col-nombre-cliente-' + idcliente).html());
                $("#form-datos\\:apellido").val($("#col-apellido-cliente-" + idcliente).html());
                $("#form-datos\\:razonsocial").val($("#col-rz-cliente-" + idcliente).html());
                var idCategoriaSelect = parseInt($('#col-idcategoria-' + idcliente).val());
//                $("#categoriacliente").val($("#col-categoria-cliente-" + idcliente).html());
                $("#categoriacliente").dropdown("set selected", idCategoriaSelect);
                $("#form-datos\\:telefono").val($("#col-tlf-cliente-" + idcliente).html());
                $("#form-datos\\:telefono2").val($("#col-tlf2-cliente-" + idcliente).html());
                $("#form-datos\\:cinumero").val($("#col-ci-cliente-" + idcliente).html());
                $("#form-datos\\:ruc").val($("#col-dvRuc-cliente-" + idcliente).html());
                $("#form-datos\\:direccion").val($("#col-direcc-cliente-" + idcliente).html());
                var idBarrioSelect = parseInt($("#col-idbarrio-" + idcliente).val());
//                $("#barriocliente").val($("#col-barrio-cliente-" + idcliente).html());
                $("#barriocliente").dropdown("set selected", idBarrioSelect);
                $('#suscripcionChk').disable();
            }

            function limpiarFormulario() {
                $('#form-datos\\:idcliente').val($().html());
                $('#form-datos\\:idcl-hidden').val($().html());
                $('#form-datos\\:nombrecliente').val($().html());
                $("#form-datos\\:apellido").val($().html());
                $("#form-datos\\:razonsocial").val($().html());
                var idCategoriaSelect = 1;
                $("#categoriacliente").dropdown("set selected", idCategoriaSelect);
                $("#form-datos\\:telefono").val($().html());
                $("#form-datos\\:telefono2").val($().html());
                $("#form-datos\\:cinumero").val($().html());
                $("#form-datos\\:ruc").val($().html());
                $("#form-datos\\:direccion").val($().html());
                $("#form-datos\\:montoCuota").val($().html());
                $("#montoCuotaInicial").val($().html());
                $("#form-datos\\:nroMedidor").val($().html());
                var idBarrioSelect = 1;
                $("#barriocliente").dropdown("set selected", idBarrioSelect);
            }

            function generarDatos() {
                var idSeleccionados = [];
                $("tbody tr [id^='col-id-cliente']").each(function (index, value) {
                    var id = parseInt($(this).html());

                    if ($('#chk-cli-' + id).prop('checked')) {
                        idSeleccionados.push(id);
                    }
                });
                var jsonselect = JSON.stringify(idSeleccionados);
                $('#selbar').val(jsonselect);
                $('#div-btn-elim').hide();
//                if ( $.fn.dataTable.isDataTable( '#form-tabla\\:elementos-tabla' ) ) {
//                        table = $('#form-tabla\\:elementos-tabla').DataTable();
//                    }
//                    else {
//                        table = $('#form-tabla\\:elementos-tabla').DataTable( {
//                            dom: 'Bfrtip',
//                            "language": idioma_espanol,
//                            "bRetrieve": true,
//                            "bFilter": false
//                        } );
//                    }
            }

            function validarCampos() {
                var nombre = $('#form-datos\\:nombrecliente').val();
                var apellido = $("#form-datos\\:apellido").val();
                var rz = $("#form-datos\\:razonsocial").val();
//                var telefono1 = $("#form-datos\\:telefono").val();
                var cinumero = $("#form-datos\\:cinumero").val();
                if (nombre === "") {
                    $('#nombreCl').addClass('error');
                } else {
                    $('#nombreCl').removeClass('error');
                }
                if (apellido === "") {
                    $('#apellidoCl').addClass('error');
                } else {
                    $('#apellidoCl').removeClass('error');
                }
                if (rz === "") {
                    $('#rzCl').addClass('error');
                } else {
                    $('#rzCl').removeClass('error');
                }
                if (cinumero === "") {
                    $('#ciCl').addClass('error');
                } else {
                    $('#ciCl').removeClass('error');
                }
                if ($("#barriocliente").select() === 0) {
                    $('#barriocliente').addClass('error');
                } else {
                    $('#barriocliente').removeClass('error');
                }
                if ($("#categoriacliente").select() === 0) {
                    console.log("campo vacio");
                    $("#categoriacliente").addClass('error');
                } else {
                    $("#categoriacliente").removeClass('error');
                }

            }
            function removerErrorCampos() {
                $('#barriocliente').removeClass('error');
                $('#ciCl').removeClass('error');
                $('#tel1Cl').removeClass('error');
                $('#catCl').removeClass('error');
                $('#rzCl').removeClass('error');
                $('#apellidoCl').removeClass('error');
                $('#nombreCl').removeClass('error');
            }


//            function renderTable(){
//                if ( $.fn.dataTable.isDataTable( '#form-tabla\\:elementos-tabla' ) ) {
//                        table = $('#form-tabla\\:elementos-tabla').DataTable();
//                    }
//                    else {
//                        table = $('#form-tabla\\:elementos-tabla').DataTable( {
//                            dom: 'Bfrtip',
//                            "language": idioma_espanol,
//                            "bRetrieve": true,
//                            "bFilter": false
//                        } );
//                    }
//            }

//            $(document).ready(function(){
//                $("#txtBuscar").keyup(function(){
//                    if( $(this).val() !== ""){
//			$("#form-tabla\\:elementos-tabla tbody>tr").hide();
//			$("#form-tabla\\:elementos-tabla td:contains-ci('" + $(this).val() + "')").parent("tr").show();
//                    }else{
//			$("#form-tabla\\:elementos-tabla tbody>tr").show();
//                    }
//                });
//            });
//            $.extend($.expr[":"],{
//                "contains-ci": function(elem, i, match, array){
//                    return (elem.textContent || elem.innerText || $(elem).text() || "").toLowerCase().indexOf((match[3] || "").toLowerCase()) >= 0;
//                }
//            });
//            $(document).ready(function (){
//                document.getElementById("#scroll").style.overflow = "auto";
//            });

            function ajaxActualizarResumen(data) {
                var s = data.status;
                switch (s) {
                    case 'success':
                    {
                        $('#formulario-filtro\\:cml-actualizar-clActivos').removeClass('disabled');
                        $('#formulario-filtro\\:cml-actualizar-clActivos').removeClass('loading');
                        break;
                    }
                    case 'begin':
                    {
                        $('#formulario-filtro\\:cml-actualizar-clActivos').addClass('disabled');
                        $('#formulario-filtro\\:cml-actualizar-clActivos').addClass('loading');
                        break;
                    }
                }
            }

            function ajaxBusquedaCliente(data) {
                if (data.status === 'begin') {
                    $('#dim-tabla').dimmer('show');
                    $('#icono-busqueda').removeClass('search');
                    $('#icono-busqueda').addClass('spinner');
                    $('#icono-busqueda').addClass('loading');
//                    renderTable();
                } else {
                    $('#dim-tabla').dimmer('hide');
                    $('#icono-busqueda').addClass('search');
                    $('#icono-busqueda').removeClass('spinner');
                    $('#icono-busqueda').removeClass('loading');
//                    renderTable();
                }
            }
            var timeOut = 0;
            $('#txtBuscar').on('input', function () {
                clearTimeout(timeOut);
                timeOut = setTimeout(function () {
                    $('#formulario-filtro\\:cl-buscar').click();
                    modoNuevo();
                }, 500);
            });
        </script>
    </ui:define>
</ui:composition>
